### Constructor

# RB ShellPlayer new

#### Declaration [src]

    RBShellPlayer*
    rb_shell_player_new (
      RhythmDB* db
    )

#### Description [src]

Creates the `RBShellPlayer`.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB`.

  The data is owned by the caller of the function.

#### Return value

Type: `RBShellPlayer`

The `RBShellPlayer` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.